Subject: Re: Possible bug: can anyone reproduce this?

From: Trey Jackson <[email-masked]>
Date: Tue, 25 Feb 1997 13:21:59 -0800 (PST)

Geoff,

 > This sounds like it might be a problem with cr/lf translation
 >(e.g., Emacs wants to clobber a cr, but there isn't one and so it
 >clobbers the lf).

I typed the following into a buffer

  This line has a control-m right here:C-qC-mand that's it.

the C-qC-m were control keys, so the line was actually

  This line has a control-m right here:
and that's it.

I then placed the point at the beginning of the line,
did a kill (C-k) and a yank (C-y).

The line then looked like:

  This line has a control-m right here:and that's it.

The ^M had been removed.

This appears to be a bug in Emacs, not folding mode.
I use 19.34 (i386-*-nt4.0) of Wed Aug 29 1996 on BANANA-FISH,
I started it using "emacs -q"

Is there a fix for this?  - I consider this a big bug as what
I yank is not the same as what I killed.

tia,

TJ

-- 
Trey Jackson
[email-masked]

"If God wanted people to shoot a bow, 
 he wouldn't have invented assult weapons."
-- Kelly Bundy